"""
===========
Simple Plot
===========

Create a simple plot.
"""

import matplotlib.pyplot as plt
import numpy as np

mAvg1, npl1, Nv1, ndMass1, ndmStoch1, NvR1, deltam1, mInf1, mSup1, mAvgVar1, mAvgVarStoch1, mAvgVarR1, t1 = np.loadtxt('psd0.dat', delimiter='   ', unpack=True)


# substitute psd6.99834_subIt.dat by the data file you want to plot
mAvg4, npl4, Nv4, ndMass4, ndmStoch4, NvR4, deltam4, mInf4, mSup4, mAvgVar4, mAvgVarStoch4, mAvgVarR4, t4 = np.loadtxt('psd6.99532_subIt.dat', delimiter='   ', unpack=True)


N0 =1.0
v0 = 1.0
beta0 = 1.0
k = 1.0

mInit = np.linspace(1.0e-3, 100.0, 1e6)
ndInit = N0 / v0 * np.exp(-mInit/v0)

t = 7.0
mAnalyticalt7 = np.linspace(1.0e-2, 1.0e6, 1e6)

ndAnalyticalt7 = 4.0*N0/(v0*np.power(2.0+N0*beta0*t,2.0)) * np.exp(-2.0*mAnalyticalt7 / v0 / (2.0+N0*beta0*t)*np.exp(-k*t) - k*t )

plt.figure(figsize = (5,5))


plt.plot(mAnalyticalt7,ndAnalyticalt7*mAnalyticalt7,'k-.', label = 'analytic t = 7.0')
plt.plot(mAvg1,ndMass1*mAvg1, 'k.-', label = 'initial PSD')

plt.plot(mAvgVar4, ndMass4*mAvgVar4, 'b+-', label = 'calculated PSD')

plt.xscale('log')
plt.ylim(0, 0.4)
plt.xlim(1.0e-1,1.0e5)
plt.ylabel('$n(v) \cdot v$')
plt.xlabel('$v$')
plt.legend()

plt.savefig('PSD.eps', format='eps', dpi=1000)

plt.show()
