import pandas as pd
import matplotlib.pyplot as plt
import numpy as np

path = "./"

sol = pd.read_csv(path + "c2h4_flame_fixed_T.csv")


plt.figure(figsize = (5,5))

plt.plot(sol["z (m)"], sol["T (K)"])

plt.xlabel('$z [m]$',fontsize=15)
plt.ylabel('$T [K]$',fontsize=15)
plt.xticks(np.arange(0.0, 0.025, 0.005))
plt.subplots_adjust(top=0.9, bottom=0.1, left=0.15, right=0.95, hspace=0.25, wspace=0.1)

plt.savefig(path + 'T.jpg', format='jpg', dpi=1000)
plt.show()
