"""
===========
Simple Plot
===========

Create a simple plot.
"""

import matplotlib.pyplot as plt
import numpy as np

it, t, x, NvT, NvTdetected, davg, dmedian, Ys, fv, dotAt, dotH, YA4, YA4corr, consoTot, alphaHaca, demedianDetected, fvDetected, YA4hybrid, xshifted, dotPAHnucl, dotCondTot, rhoGramm, CmA4, dotA4gas = np.loadtxt('global.dat', delimiter='   ', unpack=True)

xref, fvref = np.loadtxt('reffvdetected.csv', delimiter=';', unpack=True)
xexp, fvexp = np.loadtxt('expfvdetected.csv', delimiter=';', unpack=True)

# conversion from [m] to [cm]
xshifted_cm = 100 * xshifted
xexp_cm = 100 * xexp
xref_cm = 100 * xref

plt.figure(figsize = (5,5))

plt.plot(xshifted_cm, fvDetected, 'k', label='present simulation')
plt.plot(xexp_cm, fvexp, 'ko', label='experiment')
plt.plot(xref_cm, fvref, 'k--', label='reference simulation')

plt.xlabel('$x [cm]$', fontsize=15)
plt.xticks(np.arange(0.25, 1.5, 0.25))
plt.xlim(0.25, 1.5)
plt.ylabel('$f_v$', fontsize=15)
plt.yscale('log')
plt.ylim((1.0e-10,1.0e-6))
#plt.title('Volume fraction $f_v$ detected as a function of height above burner', fontsize = 8)

plt.subplots_adjust(top=0.95, bottom=0.15, left=0.17, right=0.93, hspace=0.25, wspace=0.1)

plt.legend()
plt.savefig('fvdetected.jpg', format='jpg', dpi=1000)
plt.show()
