//
//  mainStandard.hpp
//  npsSolver
//
//  Created by Alexandre Bouaniche on 11/01/2018.
//  Copyright © 2018 Alexandre Bouaniche. All rights reserved.
//

#ifndef mainStandard_hpp
#define mainStandard_hpp

#include <iostream>
#include <string>
#include <vector>
#include <fstream>
#include <cmath>
#include <ctime>

#include "tools.hpp"
#include "streams.hpp"

#include "GridCell.hpp"
#include "Grid.hpp"
#include "Bin.hpp"
#include "Psd.hpp"
#include "HomogeneousGasPhase.hpp"
#include "SootSourceTerm.hpp"
#include "NpSolver.hpp"
#include "AgglomerationTensor.hpp"
#include "mainStandard.hpp"

void mainStandard();

void mainAnalyticalStandard(std::string gridType, int nBins, double mSupMax, double factorFirstCell, double mMin, double n0, double x0, int npTot, std::string initType, std::string solverType, std::string aggloType, double beta0, std::string massTransferType, std::string nuclType, double b0, double x0n, std::string growthType, double g0, int itTotal, double timePerIt, std::string pathProject, std::string pathTargetPsd, std::string pathTargetGlobal, double c2coef, double firstCellmAvg, double fs, std::string initShape, int binInit, double initNvTbin, double smallestDetectedDiameter, std::string pbeMethod, double teta, double Malpha, double alphaAgglo, double maxGcoef, std::string sectionalMethod, std::string tStepType, std::string growthtStepType, int partPerCluster, int hybridTrigger, double tFinal, int writeFreq, int showPsdFreq, bool subItWrite, double subItWrite_tmin, double subItWrite_tmax, double gridIncrement, double alphaGrid);

void mainHomogeneousGasPhaseStandard(std::string pathProject, std::string pathTagetInputsHomogeneousPhase, std::string HomogeneousPhaseDataFileName, std::string HomogeneousPhaseLabelFileName, std::string gridType, int nBins, double mSupMax, double factorFirstCell, double mMin, double c2coef, double n0, double x0, int npTot, std::string initType, double smallestDetectedDiameter, std::string solverType, std::string aggloType, double kf, double primaryDiameter, double fractalDim, std::string surfType, std::string massTransferType, std::string nuclType, std::string PAHType, std::string A4correctionType, std::string growthType, std::string HACAType, int itTotal, double timePerIt, std::string pathTargetPsd, std::string pathTargetGlobal, double alphaHaca, std::string tStepType, double alphaAgglo, double maxGcoef, std::string sectionalMethod, double fs, std::string growthtStepType, double tFinal, int partPerCluster, int writeFreq, int hybridTrigger, int showPsdFreq, bool subItWrite, double subItWrite_tmin, double subItWrite_tmax, std::string pbeMethod, double firstCellmAvg, double gridIncrement, double alphaGrid, std::string initShape, double initNvTbin, int binInit);


// with supplementary parameter alphaHaca
void mainHomogeneousGasPhaseStandard(std::string pathProject, std::string pathTagetInputsHomogeneousPhase, std::string HomogeneousPhaseDataFileName, std::string HomogeneousPhaseLabelFileName, std::string gridType, int nBins, double mSupMax, double factorFirstCell, double mMin, double c2coef, double n0, double x0, int npTot, std::string initType, double smallestDetectedDiameter, std::string solverType, std::string aggloType, double kf, double primaryDiameter, double fractalDim, std::string surfType, std::string massTransferType, std::string nuclType, std::string PAHType, std::string A4correctionType, std::string growthType, std::string HACAType, int itTotal, double timePerIt, std::string pathTargetPsd, std::string pathTargetGlobal, double alphaHaca);

void writeCPUtime(double CPUtime, std::string pathProject, std::string pathTargetGlobal);

#endif /* mainStandard_hpp */
